Skip to content

Update Agent

PATCH /agents/{agent_id}

RFC 7396 merge-patch onto the active revision, producing revision n+1.

NameInTypeNotes
agent_idpathstring (uuid)required—
FieldTypeNotes
namestring | nulloptional—
descriptionstring | nulloptional—
avatar_presetanalyst | archivist | builder | courier | gardener | navigator | scribe | sentinel | nulloptional—
image_urlstring | nulloptionalmax length 2048
is_activeboolean | nulloptional—
attributesobject | nulloptional—
revisionobject | nulloptional—
change_notestring | nulloptionalmax length 500
StatusDescriptionBody
200Successful ResponseAgentView
422Validation ErrorHTTPValidationError
Terminal window
curl -X PATCH https://your-deployment.example.com/agents/{agent_id} \
-H "Authorization: Bearer $COBRE_TOKEN"
FieldTypeNotes
idstring (uuid)required—
scopeworkspace | organization | platformrequired—
organization_idstring (uuid) | nullrequired, nullable—
workspace_idstring (uuid) | nullrequired, nullable—
slugstringrequired—
namestringrequired—
descriptionstring | nullrequired, nullable—
avatar_presetanalyst | archivist | builder | courier | gardener | navigator | scribe | sentinel | nullrequired, nullable—
image_urlstring | nullrequired, nullable—
is_activebooleanrequired—
attributesobjectrequired—
active_revision_idstring (uuid) | nullrequired, nullable—
created_by_user_idstring (uuid) | nullrequired, nullable—
created_atstring (date-time)required—
updated_atstring (date-time)required—
active_revisionAgentRevisionView | nulloptional—
revision_countinteger | nulloptional—